import { NodeBuilder } from '../../compile-dsp-graph/types';
import { NodeImplementations } from '@webpd/compiler';
interface NodeArguments {
    busName: string;
}
declare const builders: {
    'throw~': NodeBuilder<NodeArguments>;
    'catch~': NodeBuilder<NodeArguments>;
    'send~': NodeBuilder<NodeArguments>;
    'receive~': NodeBuilder<NodeArguments>;
};
declare const nodeImplementations: NodeImplementations;
export { nodeImplementations, builders, NodeArguments };
